Bug 185239 - Review Request: smart -- Next generation package handling tool
Review Request: smart -- Next generation package handling tool
Status: CLOSED DUPLICATE of bug 175630
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-03-12 12:34 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-11 15:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-03-12 12:34:10 EST

Note: there are already bugs 175438 and 175473 which submit the same stuff, but they seem to have stalled mostly due to disagreements as far as I can tell.  This is the approach how I'd like to see smart packaged and shipped in Extras, and I'm willing to maintain it if reviewers think this is better.

I'd like to ask that this will at least not immediately be closed as a dupe so people can have a look.

smart changelog since 0.41-0.6 in bug 175438:
* Sun Mar 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.41-1
- Specfile rewrite.
- Replace smart-fedora-setup with a distro.py which loads configuration
  snippets from %%{_sysconfdir}/smart/distro.d, move rest of the config
  to the smart-config package.
- Fold -usermode package into -gui-gtk.
- Add dependency on -gui to ksmarttray.
- Replace empty summary/description patch with upstream one.
- Drop unnecessary provides and dependencies, add versions to deps.
- Use usermode when launching the updater UI from ksmarttray.
- Build ksmarttray with dependency tracking disabled.
- Build rpmhelper kludge for rpm < 4.4 on x86_64.
- Create and own more used directories.
- Sync macros and actual used paths.
- Mark *.pyo as %%ghost.
- Don't use %%exclude.

smart-config (renamed from smart-channels) changes since 0.2-0.1 in bug 175473:
* Sun Mar 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-1
- Rename to smart-config.
- Move smart-update-channels to %%{_sbindir}.
- Sync distro version detection in smart-update-channels with yum.
- Include distro.d configuration for kernel and related packages.
- Mark more generated files as %%ghost.
- Drop unneeded dependencies.
- Specfile cleanups.
Comment 1 Ville Skyttä 2006-03-19 16:30:46 EST
-config update: http://cachalot.mine.nu/5/SRPMS/smart-config-1.0-2.src.rpm
* Sun Mar 19 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.0-2
- Improve multi-version flagging in kernel.py.
Comment 2 Ville Skyttä 2006-04-11 15:51:22 EDT

*** This bug has been marked as a duplicate of 175630 ***

Note You need to log in before you can comment on or make changes to this bug.